%global _empty_manifest_terminate_build 0
Name:           python-oslo-log
Version:        3.44.3
Release:        1
Summary:        oslo.log library
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.log/latest
Source0:        https://files.pythonhosted.org/packages/40/75/19bf4d384ce4443d81cfe5ba00e7c2e603dbdc4314376b8d3f5ac14d6d26/oslo.log-3.44.3.tar.gz
BuildArch:      noarch
%description
The oslo.log (logging) configuration library provides standardized configuration for all openstack projects. It also provides custom formatters, handlers and support for context specific logging (like resource id’s etc).

%package -n python3-oslo-log
Summary:        oslo.log library
Provides:       python-oslo-log
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-six
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-context
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-debtcollector
BuildRequires:  python3-dateutil
BuildRequires:  python3-inotify
BuildRequires:  python3-fixtures
BuildRequires:  python3-systemd
# Tests running requires
BuildRequires:  python3-hacking
BuildRequires:  python3-stestr
BuildRequires:  python3-testtools
BuildRequires:  python3-mock
BuildRequires:  python3-oslotest
BuildRequires:  python3-coverage
BuildRequires:  python3-bandit
BuildRequires:  python3-fixtures
# General requires
Requires:       python3-pbr
Requires:       python3-six
Requires:       python3-oslo-config
Requires:       python3-oslo-context
Requires:       python3-oslo-i18n
Requires:       python3-oslo-utils
Requires:       python3-oslo-serialization
Requires:       python3-debtcollector
Requires:       python3-dateutil
Requires:       python3-inotify
Requires:       python3-fixtures
Requires:       python3-systemd
# Tests running requires
Requires:       python3-hacking
Requires:       python3-stestr
Requires:       python3-testtools
Requires:       python3-mock
Requires:       python3-oslotest
Requires:       python3-coverage
Requires:       python3-bandit
Requires:       python3-fixtures
%description -n python3-oslo-log
The oslo.log (logging) configuration library provides standardized configuration for all openstack projects. It also provides custom formatters, handlers and support for context specific logging (like resource id’s etc).

%package help
Summary:        oslo.log library
Provides:       python3-oslo-log-doc
%description help
The oslo.log (logging) configuration library provides standardized configuration for all openstack projects. It also provides custom formatters, handlers and support for context specific logging (like resource id’s etc).

%prep
%autosetup -n oslo.log-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-oslo-log -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 15 2021 OpenStack_SIG <openstack@openeuler.org> - 3.44.3-1
- Init package python3-oslo-log of version 3.44.3

